import { Component, OnInit, ViewChild } from '@angular/core';
import { IonicModule, LoadingController, ToastController } from '@ionic/angular';
import { NavComponent } from '../../../app/components/nav/nav.component';
import { LiveService } from '../../../services/live.service';
import { UploadComponent } from '../../../app/components/upload/upload.component';
import * as Parse from 'parse';

@Component({
  selector: 'app-room-manage',
  templateUrl: './room-manage.component.html',
  styleUrls: ['./room-manage.component.scss'],
  standalone: true,
  imports: [IonicModule, NavComponent,UploadComponent],
})
export class RoomManageComponent implements OnInit {
  @ViewChild('upload') upload!: UploadComponent;
  formData:any = {
    title: '',
    cover: '',
  };

  constructor(
    public toastController: ToastController,
    private loadingCtrl: LoadingController,
    private liveService: LiveService
  ) { }

  ngOnInit() {
  }

}
